      double precision jdint, seci, outvec(6),backvec(6)
      double precision aberout(3),aberback(3),corr12,corr23
      integer i, k, fvel, ierr
      data fvel /1/

      WRITE (*,*) "Leap second interpolation test"
      WRITE (*,*)
      CALL ephinit
     x  ("tabl_y2015d038t2222_9117.0259.COD.leapsec",ierr)
      if (ierr .NE. 0) stop

      jdint= 2400000.5d0+ 57060.0d0
      seci= 86384.0d0
      DO i=1,181
        IF (jdint .LT. 2457061.5d0) THEN !! until date of leap second...
         CALL interp_pvac (jdint, seci, 
     x            outvec, backvec, aberout, aberback, 
     x            corr12, corr23, fvel, ierr)
        ELSE
         CALL interp_pvac (jdint, seci+1.d0, 
     x            outvec, backvec, aberout, aberback, 
     x            corr12, corr23, fvel, ierr)
        ENDIF
        WRITE (*,100) jdint-2400000.5d0, seci,
     x    (outvec(k),k=1,3)
 100    FORMAT(f9.1,1x, f8.2, 3f20.3)
        WRITE (*,101) (outvec(k),k=4,6)
 101    FORMAT(18x, 3f20.6)

        !! Update time
        seci= seci+ 5
        IF (seci .GE. 86400.d0) THEN
          jdint= jdint+ 1;
          seci= seci- 86400.d0;
        ENDIF

      ENDDO
      END

